Subject: Re: [PATCH] Fix powerpc vdso clock_getres().

From: Sean MacLennan <[email-masked]>
Date: Fri, 08 Feb 2008 13:16:57 -0500

Tony Breeds wrote:
> Since implementing highres timers on powerpc the clock_getres syscall
> has reported different resolutions due to the vdso using the a low res
> value.  In the patch d7f71674ad7c3c4467e48f6ab9e85516dae2720 
> ([POWERPC] Use a sensible default for clock_getres() in the VDSO), the
> powerpc vdso was updated to use the correct value.
>
> This fix doesn't work on older compilers.  Below is a fix for powerpc,
> that introduces a new (generic) #define MONOTONIC_RES_NSEC which is
> equal to the 64 value stored in KTIME_MONOTONIC_RES.
>   
Just a confirmation that this patch fixed my compile issue. And I was 
using gcc-4.0.0.

Thanks,
   Sean